---
#
# Pre-requisites:
#
Resources:
  ThavaSSHGroupDefault:
    Type: AWS::EC2::SecurityGroup
    Properties:
        GroupDescription: Allow ssh to client host
        SecurityGroupIngress:
        - IpProtocol: tcp
          FromPort: 22
          ToPort: 22
          CidrIp: 0.0.0.0/0

#
# Outputs:
#   Logical ID:
#     Description: Information about the value
#     Value: Value to return
#     Export:
#       Name: Value to export
#
# The Exported name has stack name prefix so that it is easy to cross ref.
#

Outputs:
  ThavaSSHGroupId:
    Description: Thava Ssh Group ID
    Value: !Ref ThavaSSHGroupDefault
    Export:
      Name: !Sub "${AWS::StackName}-SSHGroupID"

  DummyId:
    Description: Dummy Id
    Value: DummyValue
    Export:
      Name: DummyExportId

